Package pyamf :: Package adapters :: Module _sqlalchemy :: Class SaMappedClassAlias

[hide private]
[frames] | no frames]

# Class SaMappedClassAlias

source code

Instance Methods | [hide private]

_getMapper(self, obj) Returns `sqlalchemy.orm.mapper.Mapper` object. | source code

getAttrs(self, obj, *args, **kwargs) Returns a `tuple` containing 2 lists. | source code

getAttributes(self, obj, *args, **kwargs) Returns a `tuple` containing a dict of static and dynamic attributes for `obj`. | source code

applyAttributes(self, obj, attrs, *args, **kwargs) Add decoded attributes to instance. | source code

Inherited from `ClassAlias`: `__eq__`, `__hash__`, `__init__`, `__repr__`, `__str__`, `createInstance` Inherited from `ClassAlias` (private): `_getAttrs` Inherited from `object`: `__delattr__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Methods | [hide private]

Inherited from `ClassAlias`: `checkClass`

Class Variables | [hide private]

| KEY_ATTR = ``'``sa_key``'``
| LAZY_ATTR = ``'``sa_lazy``'``
| EXCLUDED_ATTRS = ``[``'``_sa_instance_state``'``,` `'``_sa_session_id``'``,` `'``_st``...``

Instance Variables | [hide private]

Inherited from `ClassAlias`: `attrs`, `metadata`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### getAttrs(self, obj, *args, **kwargs)

source code

Returns a `tuple` containing 2 lists. The 1st is a list of allowed static attribute names, and the 2nd is a list of allowed dynamic attribute names.

Parameters:
  - `codec` - An optional argument that will contain the en/decoder instance calling this function.
Overrides: ClassAlias.getAttrs

### getAttributes(self, obj, *args, **kwargs)

source code

Returns a `tuple` containing a dict of static and dynamic attributes for `obj`.

Parameters:
  - `codec` - An optional argument that will contain the en/decoder instance calling this function.
Overrides: ClassAlias.getAttributes

### applyAttributes(self, obj, attrs, *args, **kwargs)

source code

Add decoded attributes to instance.

Parameters:
  - `codec` - An optional argument that will contain the en/decoder instance calling this function.
Overrides: ClassAlias.applyAttributes

Class Variable Details | [hide private]

### EXCLUDED_ATTRS

Value:

      ['_sa_instance_state',
       '_sa_session_id',
       '_state',
       '_entity_name',
       '_instance_key',
       '_sa_class_manager',
       '_sa_adapter',
       '_sa_appender',
      ...